<?php

if ( !defined( 'ABSPATH' ) ) {
    die;
}
/*
 * Declaring Class
 */
class AEH_Admin_View extends AEH_View
{
    public function on_load()
    {
        global  $is_apache ;
        
        if ( dd_aeh()->is_not_paying() && !dd_aeh()->is_trial() || !dd_aeh()->is_premium() ) {
            $aeh_tabs = array(
                'cache'    => 'Cache Settings',
                'minify'   => 'Minification',
                'external' => 'External Resources',
                'advance'  => 'Advance Settings',
                'status'   => 'Plugin Status',
            );
        } else {
            $aeh_tabs = array(
                'cache'                => 'Cache Settings',
                'minify__premium_only' => 'Minification',
                'external'             => 'External Resources',
                'advance'              => 'Advance Settings',
                'status'               => 'Plugin Status',
            );
        }
        
        $this->tabs = apply_filters( 'aeh_setting_tabs', $aeh_tabs );
    }
    
    public function render()
    {
        ?>
    <div class="row">
     <div class="col s12 m12 l3 xl3">
			 <div class="content-pad">
         <img class="responsive-img small-plugin-image" src="<?php 
        echo  AEH_URL . 'assests/images/AddExpiresHeaders.png' ;
        ?>">
       </div>
			 <ul class="collection menu-collection">
				 <?php 
        foreach ( $this->get_tabs() as $tab => $name ) {
            ?>
					 <a href="<?php 
            echo  esc_url( $this->get_tab_url( $tab ) ) ;
            ?>" class="collection-item <?php 
            echo  ( $tab === $this->get_current_tab() ? 'white z-depth-1' : null ) ;
            ?>">
						 <span><?php 
            echo  esc_html( $name ) ;
            ?></span><?php 
            
            if ( $tab === 'advance' || $tab === 'external' ) {
                echo  ( dd_aeh()->can_use_premium_code() ? '<i class="material-icons right">check_circle</i>' : '<i class="material-icons right text-color-free">info</i>' ) ;
            } else {
                echo  '<i class="material-icons right">check_circle</i>' ;
            }
            
            ?></li>
					 </a>
				 <?php 
        }
        ?>
	    </ul>
			<ul class="collection menu-collection support-box">
				<p style="font-size:14px">Support us:</p>
				<a target="_blank" href="https://wordpress.org/support/plugin/add-expires-headers/reviews/#new-post">
					<img class="star-img" src="<?php 
        echo  AEH_URL . 'assests/images/5-stars.png' ;
        ?>">
					<p style="font-size:13px;">Please support us by providing 5 star feedback!</p>
					<a class="waves-effect waves-light btn-small" target="_blank" href="https://wordpress.org/support/plugin/add-expires-headers/reviews/#new-post">Write a review</a>
				</a>
				<p style="font-size:14px">Or</p>
				<a target="_blank" href="https://addexpiresheaders.com/contact-us">
					<p style="font-size:13px;">Send us your issue or query related to plugin we will help you to resolve asap.</p>
	        <a class="waves-effect waves-light btn-small" target="_blank" href="https://addexpiresheaders.com/contact-us">Support Request</a>
				</a>
		</ul>
     </div>
		 <div class="content-pad">
	     <div class="col s12 m12 l9 xl9 white main-content">
				 <?php 
        $current_tab = $this->get_current_tab();
        $expires_headers = $this->view_options( $current_tab );
        $this->view( $current_tab, $expires_headers );
        ?>
		   </div>
		</div>
  <?php 
    }
    
    private function view_options( $tab )
    {
        $aeh_settings = AEH_Settings::get_instance();
        switch ( $tab ) {
            case 'cache':
                return array(
                    'image_types'       => $aeh_settings->expires_headers_image_types,
                    'audio_types'       => $aeh_settings->expires_headers_audio_types,
                    'video_types'       => $aeh_settings->expires_headers_video_types,
                    'font_types'        => $aeh_settings->expires_headers_font_types,
                    'text_types'        => $aeh_settings->expires_headers_text_types,
                    'application_types' => $aeh_settings->expires_headers_application_types,
                    'general_settings'  => $aeh_settings->expires_headers_general_settings,
                    'day_settings'      => $aeh_settings->expires_headers_days_settings,
                    'defaults'          => $aeh_settings->init_general_defaults(),
                );
            case 'advance':
                return array();
            case 'minify':
                return array(
                    'defaults' => $aeh_settings->init_minify_default(),
                );
            case 'minify__premium_only':
                return array(
                    'defaults' => $aeh_settings->init_minify_default(),
                );
            case 'external':
                return array();
            default:
                return array();
        }
    }

}